## linux-meta-hwe-6.17 6.17.0-9.9~24.04.2

=== debian/changelog ===
linux-meta-hwe-6.17 (6.17.0-9.9~24.04.2) noble; urgency=medium

  * Main version: 6.17.0-9.9~24.04.2

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 01 Dec 2025 12:37:04 +0100

linux-meta-hwe-6.17 (6.17.0-7.7~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-7.7~24.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 27 Oct 2025 16:24:04 +0100

linux-meta-hwe-6.17 (6.17.0-6.6~24.04.2) noble; urgency=medium

  * Main version: 6.17.0-6.6~24.04.2

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 24 Oct 2025 14:23:26 +0200

linux-meta-hwe-6.17 (6.14.0-6.6~24.04.1) noble; urgency=medium

  * Initial noble:linux-hwe-6.17 entry

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 16 Oct 2025 17:42:54 +0200
