## linux-meta-hwe-6.17 6.17.0-10.10~24.04.2

=== debian/changelog ===
linux-meta-hwe-6.17 (6.17.0-10.10~24.04.2) noble; urgency=medium

  * Main version: 6.17.0-10.10~24.04.2

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Tue, 16 Dec 2025 23:35:58 +0300

linux-meta-hwe-6.17 (6.17.0-10.10~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-10.10~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Tue, 16 Dec 2025 16:55:45 +0300
