=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 10), gawk
 Build-Depends-Arch:
- linux-hwe-6.17-headers-6.17.0-9,
- linux-headers-6.17.0-9-generic,
+ linux-hwe-6.17-headers-6.17.0-10,
+ linux-headers-6.17.0-10-generic,
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-meta/+git/noble -b hwe-6.17
 
 Package: linux-headers-generic-6.17
@@ -67,7 +67,7 @@
  and headers.
 
 
-Package: linux-headers-generic-hwe-24.04
+Package: linux-headers-generic-hwe-24.04-edge
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
@@ -75,7 +75,7 @@
  This package will always depend on the latest generic kernel headers
  available.
 
-Package: linux-image-generic-hwe-24.04
+Package: linux-image-generic-hwe-24.04-edge
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
 Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
@@ -85,7 +85,7 @@
  This package will always depend on the latest generic kernel image
  available.
 
-Package: linux-image-uc-generic-hwe-24.04
+Package: linux-image-uc-generic-hwe-24.04-edge
 Architecture: amd64 arm64
 Section: kernel
 Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-generic, linux-modules-extra-${kernel-abi-version}-generic, linux-firmware, firmware-sof-signed [amd64], wireless-regdb
@@ -96,7 +96,7 @@
  This kernel is suitable for staging into a kernel snap, and is not
  suitable to be used directly on classic systems.
 
-Package: linux-tools-generic-hwe-24.04
+Package: linux-tools-generic-hwe-24.04-edge
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
 Provides: linux-tools
@@ -105,7 +105,7 @@
  This package will always depend on the latest generic kernel tools
  available.
 
-Package: linux-cloud-tools-generic-hwe-24.04
+Package: linux-cloud-tools-generic-hwe-24.04-edge
 Architecture: amd64
 Section: kernel
 Provides: linux-cloud-tools
@@ -114,64 +114,6 @@
  This package will always depend on the latest generic kernel cloud tools
  available.
 
-Package: linux-generic-hwe-24.04
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Provides:  
-Depends: ${misc:Depends}, linux-image-generic-hwe-24.04 (= ${binary:Version}), linux-headers-generic-hwe-24.04 (= ${binary:Version})
-Recommends: linux-tools-${kernel-abi-version}-generic, ubuntu-kernel-accessories
-Description: Complete Generic Linux kernel and headers
- This package will always depend on the latest complete generic Linux kernel
- and headers.
-
-
-Package: linux-headers-generic-hwe-24.04-edge
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
-Description: Generic Linux kernel headers
- This package will always depend on the latest generic kernel headers
- available.
-
-Package: linux-image-generic-hwe-24.04-edge
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic, linux-modules-extra-${kernel-abi-version}-generic [amd64 arm64 ppc64el s390x], linux-firmware [amd64 armhf arm64 ppc64el], intel-microcode [amd64], amd64-microcode [amd64]
-Recommends: thermald [amd64]
-Description: Generic Linux kernel image
- This package will always depend on the latest generic kernel image
- available.
-
-Package: linux-image-uc-generic-hwe-24.04-edge
-Architecture: amd64 arm64
-Section: kernel
-Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-generic, linux-modules-extra-${kernel-abi-version}-generic, linux-firmware, firmware-sof-signed [amd64], wireless-regdb
-Description: Generic Linux kernel image for Ubuntu Core
- This package will always depend on the latest generic kernel image
- available.
- .
- This kernel is suitable for staging into a kernel snap, and is not
- suitable to be used directly on classic systems.
-
-Package: linux-tools-generic-hwe-24.04-edge
-Architecture: amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Provides: linux-tools
-Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-generic
-Description: Generic Linux kernel tools
- This package will always depend on the latest generic kernel tools
- available.
-
-Package: linux-cloud-tools-generic-hwe-24.04-edge
-Architecture: amd64
-Section: kernel
-Provides: linux-cloud-tools
-Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-generic
-Description: Generic Linux kernel cloud tools
- This package will always depend on the latest generic kernel cloud tools
- available.
-
 Package: linux-generic-hwe-24.04-edge
 Architecture: amd64 armhf arm64 ppc64el s390x
 Section: kernel
@@ -221,7 +163,7 @@
  and headers.
 
 
-Package: linux-headers-generic-64k-hwe-24.04
+Package: linux-headers-generic-64k-hwe-24.04-edge
 Architecture: arm64
 Section: kernel
 Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic-64k
@@ -229,7 +171,7 @@
  This package will always depend on the latest generic-64k kernel headers
  available.
 
-Package: linux-image-generic-64k-hwe-24.04
+Package: linux-image-generic-64k-hwe-24.04-edge
 Architecture: arm64
 Section: kernel
 Provides: ${dkms:wireguard-linux-compat-modules}
@@ -239,7 +181,7 @@
  This package will always depend on the latest generic-64k kernel image
  available.
 
-Package: linux-tools-generic-64k-hwe-24.04
+Package: linux-tools-generic-64k-hwe-24.04-edge
 Architecture: arm64
 Section: kernel
 Provides: linux-tools
@@ -248,38 +190,85 @@
  This package will always depend on the latest generic-64k kernel tools
  available.
 
-Package: linux-generic-64k-hwe-24.04
+Package: linux-generic-64k-hwe-24.04-edge
 Architecture: arm64
 Section: kernel
 Provides: 
-Depends: ${misc:Depends}, linux-image-generic-64k-hwe-24.04 (= ${binary:Version}), linux-headers-generic-64k-hwe-24.04 (= ${binary:Version})
+Depends: ${misc:Depends}, linux-image-generic-64k-hwe-24.04-edge (= ${binary:Version}), linux-headers-generic-64k-hwe-24.04-edge (= ${binary:Version})
 Recommends: linux-tools-${kernel-abi-version}-generic-64k, ubuntu-kernel-accessories
 Description: Complete Generic 64K Linux kernel and headers
  This package will always depend on the latest complete generic-64k Linux kernel
  and headers.
 
 
-Package: linux-headers-generic-64k-hwe-24.04-edge
-Architecture: arm64
-Section: kernel
-Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic-64k
-Description: Generic 64K Linux kernel headers
- This package will always depend on the latest generic-64k kernel headers
- available.
-
-Package: linux-image-generic-64k-hwe-24.04-edge
-Architecture: arm64
-Section: kernel
-Provides: ${dkms:wireguard-linux-compat-modules}
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic-64k, linux-firmware
-Recommends: thermald [amd64]
-Description: Generic 64K Linux kernel image
- This package will always depend on the latest generic-64k kernel image
- available.
-
-Package: linux-tools-generic-64k-hwe-24.04-edge
-Architecture: arm64
-Section: kernel
-Provides: linux-tools
-Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-generic-64k
-Description: Generic 64K Linux kernel tools
+Package: linux-lowlatency-6.17
+Architecture: amd64 arm64
+Section: kernel
+Provides: kernel-testing--linux-hwe-6.17--full--lowlatency,,
+ kernel-supports-lowlatency-bootargs,
+Depends: ${misc:Depends},
+ linux-image-generic-6.17 (= ${binary:Version}),
+ linux-headers-generic-6.17 (= ${binary:Version}),
+ lowlatency-kernel,
+Recommends: linux-tools-${kernel-abi-version}-generic, ubuntu-kernel-accessories
+Description: Complete Generic Linux kernel and headers with lowlatency boot configuration
+ This package will always depend on the latest complete generic Linux kernel
+ and headers. Additionally, it will install the lowlatency-kernel package to
+ enable kernel boot arguments tuned for latency-sensitive applications.
+
+Package: linux-lowlatency-hwe-24.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides: ,
+ kernel-supports-lowlatency-bootargs,
+Depends: ${misc:Depends},
+ linux-image-generic-hwe-24.04-edge (= ${binary:Version}),
+ linux-headers-generic-hwe-24.04-edge (= ${binary:Version}),
+ lowlatency-kernel,
+Recommends: linux-tools-${kernel-abi-version}-generic, ubuntu-kernel-accessories
+Description: Complete Generic Linux kernel and headers with lowlatency boot configuration
+ This package will always depend on the latest complete generic Linux kernel
+ and headers. Additionally, it will install the lowlatency-kernel package to
+ enable kernel boot arguments tuned for latency-sensitive applications.
+
+Package: linux-lowlatency-64k-6.17
+Architecture: arm64
+Section: kernel
+Provides: kernel-testing--linux-hwe-6.17--full--lowlatency-64k,, kernel-supports-lowlatency-bootargs,
+Depends: ${misc:Depends},
+ linux-image-generic-64k-6.17 (= ${binary:Version}),
+ linux-headers-generic-64k-6.17 (= ${binary:Version}),
+ lowlatency-kernel,
+Recommends: linux-tools-${kernel-abi-version}-generic-64k, ubuntu-kernel-accessories
+Description: Complete Generic 64K Linux kernel and headers with lowlatency boot configuration
+ This package will always depend on the latest complete generic-64k Linux kernel
+ and headers. Additionally, it will install the lowlatency-kernel package to
+ enable kernel boot arguments tuned for latency-sensitive applications.
+
+Package: linux-lowlatency-64k-hwe-24.04-edge
+Architecture: arm64
+Section: kernel
+Provides: , kernel-supports-lowlatency-bootargs,
+Depends: ${misc:Depends},
+ linux-image-generic-64k-hwe-24.04-edge (= ${binary:Version}),
+ linux-headers-generic-64k-hwe-24.04-edge (= ${binary:Version}),
+ lowlatency-kernel,
+Recommends: linux-tools-${kernel-abi-version}-generic-64k, ubuntu-kernel-accessories
+Description: Complete Generic 64K Linux kernel and headers with lowlatency boot configuration
+ This package will always depend on the latest complete generic-64k Linux kernel
+ and headers. Additionally, it will install the lowlatency-kernel package to
+ enable kernel boot arguments tuned for latency-sensitive applications.
+
+Package: linux-headers-virtual-6.17
+Architecture: amd64 arm64 armhf ppc64el s390x
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-generic-6.17 (= ${binary:Version})
+Description: Virtual Linux kernel headers
+ This package will always depend on linux-headers-generic.
+
+Package: linux-image-virtual-6.17
+Architecture: amd64 arm64 armhf ppc64el s390x
+Section: kernel
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic
+Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Description: Virtual Linux kernel image
