## linux-meta-hwe-6.17 6.17.0-11.11~24.04.1+1

=== debian/changelog ===
linux-meta-hwe-6.17 (6.17.0-11.11~24.04.1+1) noble; urgency=medium

  * Main version: 6.17.0-11.11~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Mon, 05 Jan 2026 11:36:12 +0300

linux-meta-hwe-6.17 (6.17.0-11.11~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-11.11~24.04.1

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Sat, 20 Dec 2025 09:36:09 +0300
