## linux-meta-hwe-6.17 6.17.0-14.14~24.04.1

=== debian/changelog ===
linux-meta-hwe-6.17 (6.17.0-14.14~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-14.14~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 15 Jan 2026 15:21:51 +0100
