## linux-meta-hwe-6.17 6.17.0-16.16~24.04.1

=== debian/changelog ===
linux-meta-hwe-6.17 (6.17.0-16.16~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-16.16~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Fri, 13 Feb 2026 02:41:56 +0300
