=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 10), gawk
 Build-Depends-Arch:
- linux-hwe-6.17-headers-6.17.0-14,
- linux-headers-6.17.0-14-generic,
+ linux-hwe-6.17-headers-6.17.0-16,
+ linux-headers-6.17.0-16-generic,
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-meta/+git/noble -b hwe-6.17
 
 Package: linux-headers-generic-6.17
